OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_DataSet Class Reference

This class is a set of TDF informations like
labels and attributes.
.

`#include <TDF_DataSet.hxx>`

## Public Member Functions
Standard_EXPORT | TDF_DataSet ()
| Creates an empty DataSet object. .
Standard_EXPORT void | Clear ()
| Clears all information. .
Standard_Boolean | IsEmpty () const
| Returns true if there is at least one label or one attribute. .
void | AddLabel (const TDF_Label &aLabel)
| Adds <alabel> in the current data set. .
Standard_Boolean | ContainsLabel (const TDF_Label &aLabel) const
| Returns true if the label <alabel> is in the data set. .
TDF_LabelMap & | Labels ()
| Returns the map of labels in this data set. This map can be used directly, or updated. .
void | AddAttribute (const Handle(TDF_Attribute)&anAttribute)
| Adds <anattribute> into the current data set. .
Standard_Boolean | ContainsAttribute (const Handle(TDF_Attribute)&anAttribute) const
| Returns true if <anattribute> is in the data set. .
TDF_AttributeMap & | Attributes ()
| Returns the map of attributes in the current data set. This map can be used directly, or updated. .
void | AddRoot (const TDF_Label &aLabel)
| Adds a root label to <myrootlabels>. .
TDF_LabelList & | Roots ()
| Returns <myrootlabels> to be used or updated. .
Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_OStream & | operator<< (Standard_OStream &anOS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TDF_LabelList | myRootLabels
TDF_LabelMap | myLabelMap
TDF_AttributeMap | myAttributeMap

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DataSet::TDF_DataSet | ( |  | ) |

## Member Function Documentation

void TDF_DataSet::AddAttribute | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[inline]`

void TDF_DataSet::AddLabel | ( | const TDF_Label & | aLabel | ) | `[inline]`

void TDF_DataSet::AddRoot | ( | const TDF_Label & | aLabel | ) | `[inline]`

TDF_AttributeMap & TDF_DataSet::Attributes | ( |  | ) | `[inline]`

Standard_EXPORT void TDF_DataSet::Clear | ( |  | ) |

Standard_Boolean TDF_DataSet::ContainsAttribute | ( | const Handle(TDF_Attribute)& | anAttribute | ) | const`[inline]`

Standard_Boolean TDF_DataSet::ContainsLabel | ( | const TDF_Label & | aLabel | ) | const`[inline]`

Standard_EXPORT Standard_OStream& TDF_DataSet::Dump | ( | Standard_OStream & | anOS | ) | const

Standard_EXPORT const TDF_DataSet::Handle | ( | Standard_Type |  | ) | const

Standard_Boolean TDF_DataSet::IsEmpty | ( |  | ) | const`[inline]`

TDF_LabelMap & TDF_DataSet::Labels | ( |  | ) | `[inline]`

Standard_OStream& TDF_DataSet::operator<< | ( | Standard_OStream & | anOS | ) | const`[inline]`

TDF_LabelList & TDF_DataSet::Roots | ( |  | ) | `[inline]`

## Field Documentation

TDF_AttributeMap TDF_DataSet::myAttributeMap`[private]`

TDF_LabelMap TDF_DataSet::myLabelMap`[private]`

TDF_LabelList TDF_DataSet::myRootLabels`[private]`

The documentation for this class was generated from the following files:

- TDF_DataSet.hxx
- TDF_DataSet.lxx